# Uses of Class
java.security.IdentityScope

Packages that use IdentityScope
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of IdentityScope in java.security

Methods in java.security that return IdentityScope
Modifier and Type
Method
Description
`final IdentityScope`
Identity.`getScope()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns this identity's scope.
`static IdentityScope`
IdentityScope.`getSystemScope()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the system's identity scope.
Methods in java.security with parameters of type IdentityScope
Modifier and Type
Method
Description
`protected static void`
IdentityScope.`setSystemScope(IdentityScope scope)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the system's identity scope.
Constructors in java.security with parameters of type IdentityScope
Modifier
Constructor
Description
``
`Identity(String name, IdentityScope scope)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `Identity` with the specified name and scope.
``
`IdentityScope(String name, IdentityScope scope)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new identity scope with the specified name and scope.
``
`Signer(String name, IdentityScope scope)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a `Signer` with the specified identity name and scope.